Name: 		qemu
Version: 	0.12.4
Release: 	1
Summary: 	QEMU is a fast processor emulator using dynamic translation to achieve good emulation speed
Group: 		Applications
License: 	GPL
URL: 		http://wiki.qemu.org/Index.html
Source0: 	http://download.savannah.gnu.org/releases/%{name}/qemu-0.12.4.tar.gz/%{name}-%{version}.tar.gz
Source1:	http://www.ibiblio.org/pub/Linux/system/recovery/fbsd-iso-1.0.3.bin
Source2:        %{name}.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
QEMU is a fast processor emulator. It has two operating modes:

* Full system emulation. In this mode, QEMU emulates a full system (for example
a PC), including a processor and various peripherials. It can be used to launch
different Operating Systems without rebooting the PC or to debug system code.
* User mode emulation (Linux host only). In this mode, QEMU can launch Linux
processes compiled for one CPU on another CPU. It can be used to launch the Wine
Windows API emulator (http://www.winehq.org) or to ease cross-compilation and
cross-debugging. 

As QEMU requires no host kernel driver to run, it is very safe and easy to use.

For system emulation, the following hardware targets are supported:
* PC (x86 processor)

For user emulation, x86.

How to run Qemu from the CLI:

Floppy Images: qemu -fda [Image Name]
Hard Disk Images: qemu -hda [Image Name]
CD-ROM ISO Image: qemu -cdrom [Image Name]

Use: qemu -h (for help)

%prep
%setup -q

%build
rm -rf %{buildroot}
./configure \
    --prefix=%{_prefix} \
    --target-list="i386-softmmu" \
    --disable-xen \
    --disable-curl
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=%{buildroot}%{_prefix} \
     sharedir=%{buildroot}%{_datadir}/qemu \
     docdir=%{buildroot}%{_docdir}/%{name}-%{version} \
     mandir=%{buildroot}%{_mandir} \
     bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir}/%{name} \
     install

cp %{SOURCE1} %{buildroot}%{_datadir}/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/QEMU
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/QEMU

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}
%{_datadir}
%{_mandir}
%{_bindir}
